# decoding_wBO_Filippini2022

Script used in Filippini et al 2022 (https://doi.org/10.1016/j.neunet.2022.03.044)

This script trains and saves the prediction results obtained using as classifiers or regressors a set of convolutional neural networks implementing Bayesian Optimization (keras_tuner). The algorithms are trained on the discharge activity of neurons and the following are predicted: position of spatial targets during a reaching task or types of objects to be reached, trajectories of reaching target, temporal phase of movement. See https://doi.org/10.1016/j.neunet.2022.03.044 for more details of the method. The script was developed for execution on Google Colab. The inputs used are csv files containing neuron discharge activity (columns) for each temporal sample (rows). The first row of the csv contains annotations about the task epochs and binning procedures, the last 4 columns are the labels of each sample with specification of [epoch number, bin progressive, condition number, trial number].

